curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/authentication/{registrationId} \
--header 'Authorization: Bearer <token>' \
--header 'x-challengecode: <x-challengecode>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/authentication/{registrationId}"
headers = {
"x-challengecode": "<x-challengecode>",
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-challengecode': '<x-challengecode>',
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.jtl-cloud.com/erp/v2/authentication/{registrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestStatusInfo": {
"appId": "<string>",
"registrationRequestId": "<string>",
"status": 0
},
"token": {
"apiKey": "<string>"
},
"grantedScopes": [
"<string>"
]
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Fetch Registration Status
Obtain information about a registration request
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
You can enter any custom value here. The X-ChallengeCode is used during app registration and must be the same for all registration requests. The maximum length is 30 characters.
The tenant ID for the target ERP instance.
Path Parameters
Unique identifier of the registration request
Response
Registration information (containing the current status of the registration process)
Model Class: RegistrationInformation
Status of the registration process (including the unique identifiers for application and registration request)
Show child attributes
Show child attributes
Generated token for the application to access the API
Show child attributes
Show child attributes
API scopes (both mandatory and optional) granted to the application
Was this page helpful?